complexType "Correlation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 8 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (initialLevel? | closingLevel? | expiringLevel?), expectedN?, notionalAmount?, correlationStrikePrice?, boundedCorrelation?, numberOfDataSeries?
</...>

Content Model Elements (8):

  boundedCorrelation, closingLevel, correlationStrikePrice, expectedN, | expiringLevel, initialLevel, notionalAmount (in correlation), numberOfDataSeries

All Direct / Indirect Based Elements (1):

  correlation

Known Usage Locations

- As direct type of elements (1):
  correlation

Annotation
A type describing the correlation amount of a correlation swap.
Type Definition Detail

Type Derivation Tree CalculationFromObservation (extension) Correlation

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Correlation"> <xsd:complexContent> <xsd:extension base="CalculationFromObservation"> <xsd:sequence> <xsd:element minOccurs="0" name="notionalAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="correlationStrikePrice" type="CorrelationValue"/> <xsd:element minOccurs="0" name="boundedCorrelation" type="BoundedCorrelation"/> <xsd:element minOccurs="0" name="numberOfDataSeries" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/8)
boundedCorrelation

  Type: | BoundedCorrelation, complex content

  Bounded Correlation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="boundedCorrelation" type="BoundedCorrelation"/>

correlationStrikePrice

  Type: | CorrelationValue, simple content

  Correlation Strike Price.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | -1

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="correlationStrikePrice" type="CorrelationValue"/>

notionalAmount

  Type: | NonNegativeMoney, complex content

  Notional amount, which is a cash multiplier.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="NonNegativeMoney"/>

numberOfDataSeries

  Type: | xsd:positiveInteger, predefined, simple content

  Number of data series, normal market practice is that correlation data sets are drawn from geographic market areas, such as America, Europe and Asia Pacific, each of these geographic areas will have its own data series to avoid contagion.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfDataSeries" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.